#  (C) 2002 The UbixOS Project
#  $Id$

# Include Global 'Source' Options
include ../../Makefile.inc
include ../Makefile.inc

INCLUDES += -I../../lib/objgfx40/

#  Objects
OBJS = ogprintf.o sqrt.o atan.o divdi3.o libcpp.o strtok.o kmalloc.o kprintf.o vsprintf.o string.o net.o strtol.o

all: $(OBJS)

#  Compile Types
.cpp.o:
	$(CXX) -Wall -DNOBOOL $(CFLAGS) -fno-rtti $(INCLUDES) -g -c -o $@ $<
.cc.o:
	$(CXX) -Wall -DNOBOOL -D__UBIXOS_KERNEL__ $(CFLAGS) -fno-rtti $(INCLUDES) -c -o $@ $<
.cc.s:
	$(CXX) -Wall -O $(CFLAGS) $(INCLUDES) -S -o $@ $<
.c.o:
	$(CC)  -Wall -O $(CFLAGS) $(INCLUDES) -c -o $@ $<
.c.s:
	$(CC)  -Wall -O $(CFLAGS) $(INCLUDES) -S -o $@ $<
.S.o:
	$(CC)  -Wall -c -o $@ $<

# Clean up the junk
clean:
	$(REMOVE) $(OBJS)
